{
  "name": "nub-lang",
  "displayName": "Nub Language Support",
  "description": "Language server client for nub-lang",
  "version": "0.0.0",
  "publisher": "nub31",
  "repository": {
    "type": "git",
    "url": "https://git.oliste.no/nub31/nub-lang"
  },
  "engines": {
    "vscode": "^1.105.0"
  },
  "categories": [
    "Programming Languages"
  ],
  "main": "./out/extension.js",
  "contributes": {
    "languages": [
      {
        "id": "nub-lang",
        "extensions": [
          ".nub"
        ],
        "configuration": "./language-configuration.json"
      }
    ],
    "grammars": [
      {
        "language": "nub-lang",
        "scopeName": "source.nub",
        "path": "./syntaxes/nub.tmLanguage.json"
      }
    ]
  },
  "scripts": {
    "vscode:prepublish": "npm run compile",
    "compile": "tsc -p ./",
    "watch": "tsc -watch -p ./",
    "pretest": "npm run compile && npm run lint",
    "lint": "eslint src",
    "test": "vscode-test"
  },
  "devDependencies": {
    "@types/mocha": "^10.0.10",
    "@types/node": "22.x",
    "@types/vscode": "^1.105.0",
    "@typescript-eslint/eslint-plugin": "^8.45.0",
    "@typescript-eslint/parser": "^8.45.0",
    "@vscode/test-cli": "^0.0.11",
    "@vscode/test-electron": "^2.5.2",
    "eslint": "^9.36.0",
    "typescript": "^5.9.3"
  },
  "dependencies": {
    "vscode-languageclient": "^9.0.1"
  }
}